דילוג לתוכן

LTX Video (preview)

שילוב

מזהה מודל ltx-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ⁨‏0.02 ‏$⁩ 20 קרדיטי API הרצה בדף הזה

קבלת מפתח API

מודל טקסט לווידאו בתצוגה מקדימה מוקדמת שיוצר קליפים מהנחיה בלבד

Lightricks · ווידאו

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה

הנחיה המשמשת בסיס ליצירת וידאו.

מתקדם negative_prompt · num_inference_steps · guidance_scale · seed · enable_safety_checker
ברירת מחדל low quality, worst qu...

הנחיה שלילית המשמשת במהלך יצירת וידאו.

ברירת מחדל 30

מספר שלבי ההסקה לביצוע.

ברירת מחדל 3

הגדרת סולם ההנחיה.

ערך seed עבור מחולל המספרים האקראיים.

POST /run/ltx-video?wait=20 הצעת מחיר → ⁨‏0.02 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על LTX Video (preview)

יוצר וידאו מ־`prompt` של טקסט, ללא קלט של תמונה או וידאו. הבקרות הן `negative_prompt`, `seed`, `num_inference_steps` (מ־1 עד 50, ברירת מחדל 30) ו־`guidance_scale` (מ־1 עד 10, ברירת מחדל 3). זו אפשרות בסיסית עם מעט פרמטרים ליצירה מהירה של קליפ מהנחיה.

פרמטרים

שםסוג ברירת מחדלמותר תיאור
promptחובה
סוגstring
הנחיה המשמשת בסיס ליצירת וידאו.
negative_promptאופציונלי
סוגstring
ברירת מחדלlow quality, worst quality, deformed, distorted, disfigured, motion smear, motion artifacts, fused fingers, bad anatomy, weird hand, ugly
הנחיה שלילית המשמשת במהלך יצירת וידאו.
seedאופציונלי
סוגinteger | null
ערך seed עבור מחולל המספרים האקראיים.
num_inference_stepsאופציונלי
סוגinteger
ברירת מחדל30
1 – 50
מספר שלבי ההסקה לביצוע.
guidance_scaleאופציונלי
סוגnumber
ברירת מחדל3
≤ 10> 1
הגדרת סולם ההנחיה.
enable_safety_checkerאופציונלי
סוגboolean
ברירת מחדלtrue
ניתן להקל את הסינון באמצעות הגדרה ל-false, אם הצד הקורא מורשה לכך.
חובה

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
video
object {url, content_type, file_name, file_size}וידאו שהופק על ידי המודל.
seed
integerערך seed המשמש את מחולל המספרים האקראיים.

מודלים נוספים: טקסט לווידאו

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/ltx-video.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt